diff --git a/meta/recipes-devtools/cmake/cmake/0001-FindBoost-Fix-incorrect-alphabetisation-of-headers-l.patch b/meta/recipes-devtools/cmake/cmake/0001-FindBoost-Fix-incorrect-alphabetisation-of-headers-l.patch
index a45eda52011..b3a75206f72 100644
--- a/meta/recipes-devtools/cmake/cmake/0001-FindBoost-Fix-incorrect-alphabetisation-of-headers-l.patch
+++ b/meta/recipes-devtools/cmake/cmake/0001-FindBoost-Fix-incorrect-alphabetisation-of-headers-l.patch
@@ -5,7 +5,7 @@ Subject: [PATCH 1/6] FindBoost: Fix incorrect alphabetisation of headers list
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 
diff --git a/meta/recipes-devtools/cmake/cmake/0002-FindBoost-Implement-Architecture-and-Address-Model-t.patch b/meta/recipes-devtools/cmake/cmake/0002-FindBoost-Implement-Architecture-and-Address-Model-t.patch
index 88301c64c06..d5d442a519a 100644
--- a/meta/recipes-devtools/cmake/cmake/0002-FindBoost-Implement-Architecture-and-Address-Model-t.patch
+++ b/meta/recipes-devtools/cmake/cmake/0002-FindBoost-Implement-Architecture-and-Address-Model-t.patch
@@ -8,7 +8,7 @@ library file name layout.
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 
diff --git a/meta/recipes-devtools/cmake/cmake/0003-FindBoost-Search-for-upstream-packaged-libs-next-to-.patch b/meta/recipes-devtools/cmake/cmake/0003-FindBoost-Search-for-upstream-packaged-libs-next-to-.patch
index 5178f5c4dc6..a44fa3e3665 100644
--- a/meta/recipes-devtools/cmake/cmake/0003-FindBoost-Search-for-upstream-packaged-libs-next-to-.patch
+++ b/meta/recipes-devtools/cmake/cmake/0003-FindBoost-Search-for-upstream-packaged-libs-next-to-.patch
@@ -9,7 +9,7 @@ Upstream packages Boost binaries for Windows with the 'boost' directory
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 
diff --git a/meta/recipes-devtools/cmake/cmake/0004-FindBoost-Generate-imported-targets-for-future-Boost.patch b/meta/recipes-devtools/cmake/cmake/0004-FindBoost-Generate-imported-targets-for-future-Boost.patch
index bec04c4c140..8101e8f479c 100644
--- a/meta/recipes-devtools/cmake/cmake/0004-FindBoost-Generate-imported-targets-for-future-Boost.patch
+++ b/meta/recipes-devtools/cmake/cmake/0004-FindBoost-Generate-imported-targets-for-future-Boost.patch
@@ -13,7 +13,7 @@ support newly-released Boost versions pending a new CMake release.
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 
diff --git a/meta/recipes-devtools/cmake/cmake/0005-FindBoost-support-OPTIONAL_COMPONENTS.patch b/meta/recipes-devtools/cmake/cmake/0005-FindBoost-support-OPTIONAL_COMPONENTS.patch
index 37d69ba0808..c0330fb335a 100644
--- a/meta/recipes-devtools/cmake/cmake/0005-FindBoost-support-OPTIONAL_COMPONENTS.patch
+++ b/meta/recipes-devtools/cmake/cmake/0005-FindBoost-support-OPTIONAL_COMPONENTS.patch
@@ -5,7 +5,7 @@ Subject: [PATCH 5/6] FindBoost: support OPTIONAL_COMPONENTS
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 
diff --git a/meta/recipes-devtools/cmake/cmake/0006-FindBoost-Add-support-for-Boost-1.67-with-Python-ver.patch b/meta/recipes-devtools/cmake/cmake/0006-FindBoost-Add-support-for-Boost-1.67-with-Python-ver.patch
index d25cd356d53..edcfdbefa57 100644
--- a/meta/recipes-devtools/cmake/cmake/0006-FindBoost-Add-support-for-Boost-1.67-with-Python-ver.patch
+++ b/meta/recipes-devtools/cmake/cmake/0006-FindBoost-Add-support-for-Boost-1.67-with-Python-ver.patch
@@ -8,7 +8,7 @@ Fixes: #16612, #16335, #16391, #12955
 
 Affects cmake < 3.11.0
 
-Upsteam-Status: Backport
+Upstream-Status: Backport
 [Yocto 12762]
 Signed-off-by: Armin Kuster <akuster808@gmail.com>
 